<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/common/_documentRenderersTabs.xhtml">
        <ui:param name="document" value="#{validationBeanGui.presenter.document}"/>
        <ui:param name="renderers" value="#{validationBeanGui.presenter.renderers}"/>
        <ui:param name="activeItem" value="#{validationBeanGui.presenter.activeRenderer}"/>
        <ui:param name="options" value="caption: #{messages['net.ihe.gazelle.document.prettified-content']}"/>
        <ui:param name="documentViewerStyle" value="document-long-viewer"/>
        <ui:define name="custom-tail-tabs">
            <rich:tab id="styledTab" name="styledTab"
                      header="#{messages['net.ihe.gazelle.EVSClient-ui.HTMLViewOfContent']}"
                      rendered="#{gui.getReferencedStandardStylesheets().size()>1 and gui.document.syntax.toString() == 'XML'}">
                <s:div id="styledTabOptions">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.evs.XSLStyleSheet']}</ui:define>
                        <h:selectOneMenu id="stylesheetSelectMenu"
                                         value="#{gui.selectedStylesheetName}"
                                         styleClass="form-control gzl-form-control gzl-select-text"
                                         style="font-weight:bold;"
                                         hideNoSelectionOption="true">
                            <f:selectItems value="#{gui.getReferencedStandardStylesheets()}"/>
                            <a4j:ajax event="change" render="styledTabDocument,styledTabOptions"
                                      execute="@this"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <br/>
                </s:div>
                <s:div id="styledTabDocument" styleClass="document-long-viewer">
                    <s:div id="resultStyled">
                        <h:commandLink title="#{messages['net.ihe.gazelle.evs.ViewXMLWithStylesheet']}"
                                       action="#{gui.redirectToPrettyXmlContent()}" target="_blank"
                                       rendered="#{gui.selectedStylesheetName != null}">
                            <h:outputText value="#{messages['net.ihe.gazelle.evs.ViewXMLWithStylesheet']}"/>
                            <span class="gzl-icon-eye"/>
                        </h:commandLink>
<!--                        <h:outputText escape="false" value="#{gui.getPrettyXmlContent()}"/>-->
                        <s:div rendered="#{gui.selectedStylesheetName != null}">
                            <iframe title="XSL Preview" src="#{gui.getPrettyXmlContentUrl()}" style="width:100%;height:100%;border:0px;"></iframe>
                        </s:div>
                    </s:div>
                </s:div>
            </rich:tab>
            <rich:tab id="analysisTab" name="analysisTab"
                      header="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzer']}"
                      rendered="#{gui.selectedObject.validationReport != null and gui.showAnalyzer()}">
                #{analysisBeanGui.loadAnalysisForValidation(gui.selectedObject.toValidationRef())}
                <s:div id="analyze" rendered="#{analysisBeanGui.analysis == null}">
                    <a4j:commandButton id="forwardToAnalysis"
                                       actionListener="#{analysisBeanGui.execute(gui.document,gui.selectedObject.object.originalFileName,gui.selectedObject.toValidationRef())}"
                                       value="#{messages['net.ihe.gazelle.mca.Analyze']}"
                                       render="analysisTab"
                                       styleClass="gzl-btn-blue"/>
                </s:div>
                <s:div id="analysis" rendered="#{analysisBeanGui.analysis != null}">
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:param name="id" value="nameInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.mca.Permanent.Link']} :
                            </ui:define>
                            <h:outputLink
                                    value="#{analysisBeanGui.getPermanentLink(analysisBeanGui.analysis)}"
                                    target="_blank">
                                <h:outputText
                                        value="#{analysisBeanGui.getPermanentLink(analysisBeanGui.analysis)}"/>
                            </h:outputLink>
                        </s:decorate>
                    </dl>
                    <ui:include src="/common/_messageContentAnalyzerResultDiv.xhtml"/>
                </s:div>
            </rich:tab>
        </ui:define>
    </ui:decorate>
</ui:composition>